## Package org.eclipse.datatools.sqltools.core.profile

Interface Summary
ISQLToolsProfileListener: Defined for SQL Dev Tools, the implementor will be notified when profile events occur, all classes in SQL Dev Tools which need to be notified when profile events occur should implement this interface (instead of IProfileListener, IProfileListener1) and register as an observer of `SQLToolsProfileListenersManager`

Class Summary
ConnectProfile: Connection profile is used to describe how to connect to a particular database.
ProfileUtil: Utility class for `IConnectionProfile` in connectivity layer.
SQLToolsProfileListenersManager: This class is to manage all profile listeners in SQL Dev Tools.
SQLToolsProfileProxyListener

Exception Summary
NoSuchProfileException: An exception indicates a connection profile does not exist for the given name.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.